Bug 842124 - Review Request: appmenu-qt - This package allows Qt to export its menus over DBus.
Review Request: appmenu-qt - This package allows Qt to export its menus over ...
Status: CLOSED DUPLICATE of bug 882508
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews
  Show dependency treegraph
 
Reported: 2012-07-22 07:21 EDT by Damian Ivanov
Modified: 2012-12-01 09:59 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-01 09:56:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Damian Ivanov 2012-07-22 07:21:27 EDT
Spec URL: https://build.opensuse.org/package/view_file?file=appmenu-qt-Fedora_17.spec&package=appmenu-qt&project=GNOME%3AAyatana&rev=56bb87142451d9f5d21c15676f27e5e1
SRPM URL: http://download.opensuse.org/repositories/GNOME:/Ayatana/Fedora_17/src/appmenu-qt-0.2.6-6.1.src.rpm
Description: This package allows Qt to export its menus over DBus. 
Fedora Account System Username:

NOTE: This package is for unity on fedora and/or indicators usable by gnome and xfce. It requires dbusmenu which will have a review request too.
Comment 1 Damian Ivanov 2012-07-22 07:23:23 EDT
Please note one additional difference: When including to Fedora .spec file name must be renamed to appmenu-qt.spec and the moment name is %name-Fedora_17.spec
correctly named spec file can be found here:
https://raw.github.com/chenxiaolong/Unity-for-Fedora/master/appmenu-qt/appmenu-qt.spec
Comment 2 Michael Scherer 2012-07-22 13:09:43 EDT
Hi,

a few notes :

- BuildRequires:	libXfixes
BuildRequires:	libXfixes-devel

this seems redundant ( ie, the -devel should pull the regular library )

- No need to clean in %install
%install
rm -rf $RPM_BUILD_ROOT

that's already done by rpm since a long time

- unowned directory

I am npot sure, but it seems that the direcotry 
%{_libdir}/qt4/plugins/menubar/libappmenu
is unowned. This should be fixed :
https://fedoraproject.org/wiki/Packaging:Guidelines#File_and_Directory_Ownership
Comment 3 Xiao-Long Chen 2012-07-24 14:33:23 EDT
The reason I added both libXfixes and libXfixes-devel is to workaround some issues in the Open Build Service's dependency resolver. If appmenu-qt is accepted into the Fedora repos, any dependencies where I put "Satisfy OBS conflict" are not needed.

I have updated the spec file to check for %{?opensuse_bs}.

New spec file can be found here: https://raw.github.com/chenxiaolong/Unity-for-Fedora/master/appmenu-qt/appmenu-qt.spec
Comment 4 Michael Scherer 2012-07-24 17:04:13 EDT
Now, the srpm is missing ( 404 ).
Comment 5 Michael Scherer 2012-07-24 17:09:47 EDT
In fact, I do not understand, can you explain in more detail what are such conflict, what do you see, how it fail the build ?

I see no reason that fedora on OBS should be different from koji or mock, that's basically the same rpm, installed by similar tools.
Comment 6 Xiao-Long Chen 2012-07-24 22:21:02 EDT
Sure. Somewhere along the chain of build dependencies, qt-ubuntu needs libXfixes-devel. The conflict comes from us providing a libXfixes-ubuntu-devel package (for Unity), which provides and obsoletes libXfixes-devel. OBS uses its own dependency solver that ignores the obsoletes tag, so it fails with something like: "have choice for libXfixes-devel, required by qt-devel: libXfixes-ubuntu-devel libXfixes-devel". In OBS, we must BuildRequires the preferred package to use.

No workarounds will ever be needed because koji uses mock, which uses yum, which works just fine.

The issue is really only relevant in our OBS repo because we need patched system packages for Unity.

Hope I explained the issue a little better :)

By the way, the SRPM is here: http://download.opensuse.org/repositories/GNOME:/Ayatana/Fedora_17/src/

The SRPM will 404 pretty quickly as OBS bumps the release number with every rebuild.
Comment 7 Xiao-Long Chen 2012-07-24 22:22:22 EDT
Just in case it's not clear from my previous comment, appmenu-qt will work *without* any patches to other packages :)
Comment 8 Michael Scherer 2012-07-25 01:01:43 EDT
so if appmenu-qt package work without patchs, why is there the need for libXfixes-ubuntu-devel, and if there is no need for it, why do you keep it in the fedora sources ?
Comment 9 Xiao-Long Chen 2012-07-25 01:03:57 EDT
You're right. That is the current source for the GNOME:Ayatana. Damian (if he will maintain the package) should copy the spec file to somewhere else and remove that part of the spec.
Comment 10 Kevin Kofler 2012-07-31 11:28:15 EDT
FWIW, there's also at least one plasmoid which uses those app menus.
Comment 11 Rex Dieter 2012-08-06 12:10:47 EDT
I'll try to start reviewing this today.
Comment 12 Rex Dieter 2012-08-06 12:14:09 EDT
using http://download.opensuse.org/repositories/GNOME:/Ayatana/Fedora_17/src/appmenu-qt-0.2.6-14.1.src.rpm

the original link didn't work.
Comment 13 Rex Dieter 2012-08-06 12:26:34 EDT
OK, using https://raw.github.com/chenxiaolong/Unity-for-Fedora/master/appmenu-qt/appmenu-qt.spec as referenced...

1. MUST drop extraneous BuildRequires:  gcc-c++
(see http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2 )

naming: ok

sources: ok
md5sum *.bz2
90cce750e5412d43ce075b0a9bdb6782  appmenu-qt-0.2.6.tar.bz2

license: ok

macros: ok (but could use some polish, like using fedora's %_qt4_plugindir macro instead of hard-coding %{_libdir}/qt4/plugins)

scriptlets: n/a

otherwise, it's a relatively simple package, I see nothing else that needs work.

As far as I'm concerned, item 1 is relatively cosmetic, and it's ok with me as long as it is addressed prior to doing any official fedora builds in koji.


APPROVED.
Comment 14 Rex Dieter 2012-08-06 12:32:08 EDT
oh, and if you don't mind, when making the cvsadmin request, please add me (rdieter) as comaintainer.
Comment 15 Rex Dieter 2012-11-08 10:55:51 EST
Damian, ping?  are you still able and interested in maintaining appmenu-qt?
Comment 16 Damian Ivanov 2012-11-13 09:45:20 EST
Rex, appmenu-qt is an important package. All desktop environments need that package if they want Qt applications to export their menus. I did (and will continue if missed something / guidelines get updated) change the spec file to conform to Fedora policies, though 
I consider Koji & co inferior to OBS and use exclusively OBS for building packages. If anybody wants to have it in mainline Fedora just get the spec from OBS and remove the -Fedora_17 (or appropriate) suffix.
Comment 17 Rex Dieter 2012-11-13 11:58:16 EST
Damian, submitting something for review here means that you want to take responsibility for owning and maintaining it in fedora.  Based on your statement, it's not clear to me if you're willing to do that or not.  I'd appreciate if you could clarify.

(If not, this review is good for posterity, but will have to be closed, and a new one submitted by someone who *is* willing).
Comment 18 Mario Blättermann 2012-12-01 09:41:49 EST
I will take over this package.
Comment 19 Mario Blättermann 2012-12-01 09:56:28 EST

*** This bug has been marked as a duplicate of bug 882508 ***
Comment 20 Rex Dieter 2012-12-01 09:59:02 EST
thanks.

Note You need to log in before you can comment on or make changes to this bug.